# Class: MoneroOutgoingTransfer

## MoneroOutgoingTransfer(state)

Models an outgoing transfer of funds from the wallet.

## Constructor

#### new MoneroOutgoingTransfer(state)

Construct the model.

##### Parameters:

Name | Type | Description
--- | --- | ---
`state` | MoneroOutgoingTranser | object | is existing state to initialize from (optional)

Source:
  - src/main/js/wallet/model/MoneroOutgoingTransfer.js, line 11

### Extends

- MoneroTransfer

### Methods

#### copy()

Overrides:
  - MoneroTransfer#copy
Source:
  - src/main/js/wallet/model/MoneroOutgoingTransfer.js, line 61

#### getAccountIndex()

Overrides:
  - MoneroTransfer#getAccountIndex
Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 63

#### getAddresses()

Source:
  - src/main/js/wallet/model/MoneroOutgoingTransfer.js, line 43

#### getAmount()

Overrides:
  - MoneroTransfer#getAmount
Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 73

#### getDestinations()

Source:
  - src/main/js/wallet/model/MoneroOutgoingTransfer.js, line 52

#### getSubaddressIndices()

Source:
  - src/main/js/wallet/model/MoneroOutgoingTransfer.js, line 34

#### getTx()

Overrides:
  - MoneroTransfer#getTx
Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 44

#### isIncoming()

Overrides:
  - MoneroTransfer#isIncoming
Source:
  - src/main/js/wallet/model/MoneroOutgoingTransfer.js, line 30

#### isOutgoing()

Overrides:
  - MoneroTransfer#isOutgoing
Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 53

#### merge(transfer)

Updates this transaction by merging the latest information from the given transaction. Merging can modify or build references to the transfer given so it should not be re-used or it should be copied before calling this method.

##### Parameters:

Name | Type | Description
--- | --- | ---
`transfer` |  | is the transfer to merge into this one

Overrides:
  - MoneroTransfer#merge
Source:
  - src/main/js/wallet/model/MoneroOutgoingTransfer.js, line 84

#### setAccountIndex()

Overrides:
  - MoneroTransfer#setAccountIndex
Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 67

#### setAddresses()

Source:
  - src/main/js/wallet/model/MoneroOutgoingTransfer.js, line 47

#### setAmount()

Overrides:
  - MoneroTransfer#setAmount
Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 77

#### setDestinations()

Source:
  - src/main/js/wallet/model/MoneroOutgoingTransfer.js, line 56

#### setSubaddressIndices()

Source:
  - src/main/js/wallet/model/MoneroOutgoingTransfer.js, line 38

#### setTx()

Overrides:
  - MoneroTransfer#setTx
Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 48

#### toJson()

Overrides:
  - MoneroTransfer#toJson
Source:
  - src/main/js/wallet/model/MoneroOutgoingTransfer.js, line 65

#### toString()

Overrides:
  - MoneroTransfer#toString
Source:
  - src/main/js/wallet/model/MoneroOutgoingTransfer.js, line 94